## r-cran-desc 1.1.1

=== DESCRIPTION ===
Package: desc
Title: Manipulate DESCRIPTION Files
Version: 1.1.1
Authors@R: c(
    person("Gábor", "Csárdi",, "csardi.gabor@gmail.com", role = c("aut", "cre")),
    person("Kirill", "Müller", role = c("aut")))
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Tools to read, write, create, and manipulate DESCRIPTION files.
    It is intended for packages that create or manipulate other packages.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/r-lib/desc#readme
BugReports: https://github.com/r-lib/desc/issues
Depends: R (>= 3.1.0)
Suggests: covr, testthat, whoami, withr
Imports: assertthat, utils, R6, crayon, rprojroot
Encoding: UTF-8
RoxygenNote: 5.0.1.9000
Collate: 'assertions.R' 'authors-at-r.R' 'classes.R' 'collate.R'
        'constants.R' 'deps.R' 'description.R' 'encoding.R' 'latex.R'
        'non-oo-api.R' 'package-archives.R' 'read.R' 'remotes.R'
        'str.R' 'syntax_checks.R' 'urls.R' 'utils.R' 'validate.R'
        'version.R'
NeedsCompilation: no
Packaged: 2017-08-03 09:45:28 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  Kirill Müller [aut]
Repository: CRAN
Date/Publication: 2017-08-03 15:22:33 UTC

=== debian/changelog ===
r-cran-desc (1.1.1-1) unstable; urgency=medium

  * Initial release (closes: #877478)

 -- Andreas Tille <tille@debian.org>  Mon, 02 Oct 2017 08:19:40 +0200

=== debian/control ===
Source: r-cran-desc
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-assertthat,
               r-cran-r6,
               r-cran-crayon,
               r-cran-rprojroot
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-desc.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-desc.git
Homepage: https://cran.r-project.org/package=desc

Package: r-cran-desc
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R manipulation of DESCRIPTION files
 This GNU R package enables reading, writing, creating, and manipulating
 DESCRIPTION files. It is intended for packages that create or manipulate
 other packages.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/desc_([-\d.]*)\.tar\.gz

## r-cran-desc 1.2.0

=== DESCRIPTION ===
Package: desc
Title: Manipulate DESCRIPTION Files
Version: 1.2.0
Authors@R: c(
    person("Gábor", "Csárdi",, "csardi.gabor@gmail.com", role = c("aut", "cre")),
    person("Kirill", "Müller", role = c("aut")),
    person("Jim", "Hester", email = "james.f.hester@gmail.com", role = c("aut")))
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Tools to read, write, create, and manipulate DESCRIPTION files.
    It is intended for packages that create or manipulate other packages.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/r-lib/desc#readme
BugReports: https://github.com/r-lib/desc/issues
Depends: R (>= 3.1.0)
Suggests: covr, testthat, whoami, withr
Imports: assertthat, utils, R6, crayon, rprojroot
Encoding: UTF-8
RoxygenNote: 6.0.1.9000
Collate: 'assertions.R' 'authors-at-r.R' 'built.R' 'classes.R'
        'collate.R' 'constants.R' 'deps.R' 'description.R' 'encoding.R'
        'latex.R' 'non-oo-api.R' 'package-archives.R' 'read.R'
        'remotes.R' 'str.R' 'syntax_checks.R' 'urls.R' 'utils.R'
        'validate.R' 'version.R'
NeedsCompilation: no
Packaged: 2018-05-01 20:22:08 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  Kirill Müller [aut],
  Jim Hester [aut]
Repository: CRAN
Date/Publication: 2018-05-01 20:48:05 UTC

=== inst/DESCRIPTION ===
Package: desc
Title: Manipulate DESCRIPTION Files
Version: 1.0.0
Author: Gábor Csárdi
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Tools to read, write, create, and manipulate DESCRIPTION files.
    It is intented for packages that create or manipulate other packages.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/r-lib/desc
BugReports: https://github.com/r-lib/desc/issues
Suggests: 
    testthat,
    whoami,
    newpackage
Imports: 
    R6
RoxygenNote: 5.0.0
Encoding: UTF-8

=== debian/changelog ===
r-cran-desc (1.2.0-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 06:54:43 +0200

r-cran-desc (1.2.0-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 18:37:09 +0200

r-cran-desc (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Wed, 02 May 2018 08:46:23 +0200

=== debian/control ===
Source: r-cran-desc
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-assertthat,
               r-cran-r6,
               r-cran-crayon,
               r-cran-rprojroot
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-desc
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-desc.git
Homepage: https://cran.r-project.org/package=desc
Rules-Requires-Root: no

Package: r-cran-desc
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R manipulation of DESCRIPTION files
 This GNU R package enables reading, writing, creating, and manipulating
 DESCRIPTION files. It is intended for packages that create or manipulate
 other packages.

## r-cran-desc 1.4.0%2Bdfsg

=== DESCRIPTION ===
Package: desc
Title: Manipulate DESCRIPTION Files
Version: 1.4.0
Authors@R: 
    c(person(given = "Gábor",
             family = "Csárdi",
             role = c("aut", "cre"),
             email = "csardi.gabor@gmail.com"),
      person(given = "Kirill",
             family = "Müller",
             role = "aut"),
      person(given = "Jim",
             family = "Hester",
             role = "aut",
             email = "james.f.hester@gmail.com"),
      person(given = "Maëlle",
             family = "Salmon",
             role = "ctb",
             comment = c(ORCID = "0000-0002-2815-0399")))
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Tools to read, write, create, and manipulate DESCRIPTION files.
    It is intended for packages that create or manipulate other packages.
License: MIT + file LICENSE
URL: https://github.com/r-lib/desc#readme
BugReports: https://github.com/r-lib/desc/issues
Depends: R (>= 3.1.0)
Suggests: covr, testthat, whoami, withr, spelling, gh
Imports: utils, R6, crayon, rprojroot
Encoding: UTF-8
RoxygenNote: 7.1.2
Collate: 'assertions.R' 'authors-at-r.R' 'built.R' 'classes.R'
        'collate.R' 'constants.R' 'deps.R' 'description.R' 'encoding.R'
        'latex.R' 'non-oo-api.R' 'package-archives.R' 'read.R'
        'remotes.R' 'str.R' 'syntax_checks.R' 'urls.R' 'utils.R'
        'validate.R' 'version.R'
Language: en-US
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2021-09-27 17:26:10 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  Kirill Müller [aut],
  Jim Hester [aut],
  Maëlle Salmon [ctb] (<https://orcid.org/0000-0002-2815-0399>)
Repository: CRAN
Date/Publication: 2021-09-28 07:30:02 UTC

## r-cran-desc 1.4.0+dfsg

=== debian/changelog ===
r-cran-desc (1.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.0+dfsg
  * Refresh patches, rewrite for new version

 -- Nilesh Patra <nilesh@debian.org>  Sat, 09 Oct 2021 19:43:53 +0530

r-cran-desc (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS
  * Disable reprotest
  * Fix autopkgtest
  * Skip tests needing r-cran-whoami

 -- Andreas Tille <tille@debian.org>  Thu, 16 Sep 2021 10:21:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-assertthat,
                r-cran-r6,
                r-cran-crayon,
                r-cran-rprojroot
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-desc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-desc.git
 Homepage: https://cran.r-project.org/package=desc

## r-cran-desc 1.4.1

=== debian/changelog ===
r-cran-desc (1.4.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Drop patch working around missing r-cran-whoami package

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 07:08:29 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-cli,
                r-cran-r6,
-               r-cran-crayon,
                r-cran-rprojroot
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-desc

## r-cran-desc 1.4.2

=== DESCRIPTION ===
Package: desc
Title: Manipulate DESCRIPTION Files
Version: 1.4.2
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("aut", "cre")),
    person("Kirill", "Müller", role = "aut"),
    person("Jim", "Hester", , "james.f.hester@gmail.com", role = "aut"),
    person("Maëlle", "Salmon", role = "ctb",
           comment = c(ORCID = "0000-0002-2815-0399")),
    person("RStudio", role = c("cph", "fnd"))
  )
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Tools to read, write, create, and manipulate DESCRIPTION
    files.  It is intended for packages that create or manipulate other
    packages.
License: MIT + file LICENSE
URL: https://github.com/r-lib/desc#readme,
        https://r-lib.github.io/desc/
BugReports: https://github.com/r-lib/desc/issues
Depends: R (>= 3.4)
Imports: cli, R6, rprojroot, utils
Suggests: callr, covr, gh, spelling, testthat, whoami, withr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.1.9000
Collate: 'assertions.R' 'authors-at-r.R' 'built.R' 'classes.R'
        'collate.R' 'constants.R' 'deps.R' 'desc-package.R'
        'description.R' 'encoding.R' 'latex.R' 'non-oo-api.R'
        'package-archives.R' 'read.R' 'remotes.R' 'str.R'
        'syntax_checks.R' 'urls.R' 'utils.R' 'validate.R' 'version.R'
NeedsCompilation: no
Packaged: 2022-09-08 09:02:11 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  Kirill Müller [aut],
  Jim Hester [aut],
  Maëlle Salmon [ctb] (<https://orcid.org/0000-0002-2815-0399>),
  RStudio [cph, fnd]
Repository: CRAN
Date/Publication: 2022-09-08 10:52:55 UTC

=== debian/changelog ===
r-cran-desc (1.4.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2022 09:00:00 +0200

=== debian/control ===
Source: r-cran-desc
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-desc
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-desc.git
Homepage: https://cran.r-project.org/package=desc
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli,
               r-cran-r6,
               r-cran-rprojroot
Testsuite: autopkgtest-pkg-r

Package: r-cran-desc
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R manipulation of DESCRIPTION files
 This GNU R package enables reading, writing, creating, and manipulating
 DESCRIPTION files. It is intended for packages that create or manipulate
 other packages.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
         r-cran-testthat,
#         r-cran-whoami,
         r-cran-withr,
#         r-cran-spelling,
         r-cran-gh
Restrictions: allow-stderr

## r-cran-desc 1.4.3

=== DESCRIPTION ===
Package: desc
Title: Manipulate DESCRIPTION Files
Version: 1.4.3
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("aut", "cre")),
    person("Kirill", "Müller", role = "aut"),
    person("Jim", "Hester", , "james.f.hester@gmail.com", role = "aut"),
    person("Maëlle", "Salmon", role = "ctb",
           comment = c(ORCID = "0000-0002-2815-0399")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Tools to read, write, create, and manipulate DESCRIPTION
    files.  It is intended for packages that create or manipulate other
    packages.
License: MIT + file LICENSE
URL: https://desc.r-lib.org/, https://github.com/r-lib/desc
BugReports: https://github.com/r-lib/desc/issues
Depends: R (>= 3.4)
Imports: cli, R6, utils
Suggests: callr, covr, gh, spelling, testthat, whoami, withr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.3
Collate: 'assertions.R' 'authors-at-r.R' 'built.R' 'classes.R'
        'collate.R' 'constants.R' 'deps.R' 'desc-package.R'
        'description.R' 'encoding.R' 'find-package-root.R' 'latex.R'
        'non-oo-api.R' 'package-archives.R' 'read.R' 'remotes.R'
        'str.R' 'syntax_checks.R' 'urls.R' 'utils.R' 'validate.R'
        'version.R'
NeedsCompilation: no
Packaged: 2023-12-10 11:07:50 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  Kirill Müller [aut],
  Jim Hester [aut],
  Maëlle Salmon [ctb] (<https://orcid.org/0000-0002-2815-0399>),
  Posit Software, PBC [cph, fnd]
Repository: CRAN
Date/Publication: 2023-12-10 11:40:08 UTC

=== debian/changelog ===
r-cran-desc (1.4.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 20:38:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-desc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-desc.git
 Homepage: https://cran.r-project.org/package=desc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-cli,
-               r-cran-r6,
-               r-cran-rprojroot
+               r-cran-r6
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-desc

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-callr,
        r-cran-covr,
        r-cran-gh,
        r-cran-spelling,
        r-cran-testthat,
        r-cran-whoami,
        r-cran-withr
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/desc_([-\d.]*)\.tar\.gz
